io.vertx.ext.auth.webauthn

## Class WebAuthnCredentials

- java.lang.Object
- - io.vertx.ext.auth.webauthn.WebAuthnCredentials

- All Implemented Interfaces:
    Credentials

      public class WebAuthnCredentials
      extends Object
      implements Credentials

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAuthnCredentials()`
    `WebAuthnCredentials(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V> void` | `checkValid(V arg)` Implementors should override this method to perform validation.
    `String` | `getChallenge()`
    `String` | `getDomain()`
    `String` | `getOrigin()`
    `String` | `getUsername()`
    `JsonObject` | `getWebauthn()`
    `WebAuthnCredentials` | `setChallenge(String challenge)`
    `WebAuthnCredentials` | `setDomain(String domain)`
    `WebAuthnCredentials` | `setOrigin(String origin)`
    `WebAuthnCredentials` | `setUsername(String username)`
    `WebAuthnCredentials` | `setWebauthn(JsonObject webauthn)`
    `JsonObject` | `toJson()` Simple interop to downcast back to JSON for backwards compatibility.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.ext.auth.authentication.Credentials

      `applyHttpChallenge, applyHttpChallenge, applyHttpChallenge, toHttpAuthorization`

- - ### Constructor Detail

    - #### WebAuthnCredentials

          public WebAuthnCredentials()

    - #### WebAuthnCredentials

          public WebAuthnCredentials(JsonObject json)

  - ### Method Detail

    - #### getChallenge

          public String getChallenge()

    - #### setChallenge

          public WebAuthnCredentials setChallenge(String challenge)

    - #### getWebauthn

          public JsonObject getWebauthn()

    - #### setWebauthn

          public WebAuthnCredentials setWebauthn(JsonObject webauthn)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public WebAuthnCredentials setUsername(String username)

    - #### getOrigin

          public String getOrigin()

    - #### setOrigin

          public WebAuthnCredentials setOrigin(String origin)

    - #### getDomain

          public String getDomain()

    - #### setDomain

          public WebAuthnCredentials setDomain(String domain)

    - #### checkValid

          public <V> void checkValid(V arg)
                              throws CredentialValidationException

      Description copied from interface: `Credentials`
      Implementors should override this method to perform validation. An argument is allowed to allow custom validation, for example, when given a configuration property, a specific property may be allowed to be null.
      Specified by:
        `checkValid` in interface `Credentials`
      Type Parameters:
        `V` - the generic type of the argument
      Parameters:
        `arg` - optional argument or null.
      Throws:
        `CredentialValidationException` - when the validation fails

    - #### toJson

          public JsonObject toJson()

      Description copied from interface: `Credentials`
      Simple interop to downcast back to JSON for backwards compatibility.
      Specified by:
        `toJson` in interface `Credentials`
      Returns:
        JSON representation of this credential.

Copyright © 2022 Eclipse. All rights reserved.